Skip to main content

Get ZNS Template List

This API allows you to retrieve the list of all Zalo Notification Service (ZNS) Templates that have been created in the system. Information includes _id, name, description, and other related fields.


Endpoint

🔗Endpoint Staging
GET https://staging.manage-api.miniap.vn/api/external/zns-template
🔗Endpoint Production
GET https://manage-api.miniap.vn/api/external/zns-template

Response

{
"templates": [
{
"_id": "68c625f623194defbbdb24a4",
"name": "Nhac nho thanh toan 2",
"description": "Nhac nho thanh toan 2",
"title": "Xin chào <customer_fullname>,",
"tables": [
{ "label": "Mã đơn hàng", "key": "<order_code>" },
{ "label": "Trạng thái", "key": "<order_status>" },
{ "label": "Tổng thanh toán", "key": "<order_price>" }
],
"buttons": [],
"params": [
{ "label": "Customer fullname", "key": "customer_fullname" },
{ "label": "Product name", "key": "product_name" },
{ "label": "Order code", "key": "order_code" },
{ "label": "Order status", "key": "order_status" },
{ "label": "Order price", "key": "order_price" }
],
"paragraphs": [
{
"value": "Cảm ơn bạn đã tin tưởng sử dụng sản phẩm, chúng tôi vừa ra mắt <product_name>, hãy đăng nhập và trải nghiệm ngay",
"key": "3bf69b7b-325f-4ff1-bd9b-338c70d650dc"
}
],
"logoDark": "",
"logoLight": "",
"images": [],
"note": "Nhac nhở thanh toán",
"status": "DRAFT",
"isSync": false,
"createdAt": "2025-09-14T02:18:30.351Z",
"updatedAt": "2025-09-14T02:18:30.351Z",
"id": "68c625f623194defbbdb24a4"
},
{
"_id": "68c61b82c91b8fd5ffdc4d5f",
"name": "Mẫu thanh toán 1",
"description": "Mẫu thanh toán 1",
"title": "Xin chào <customer_fullname>,",
"tables": [
{ "label": "Mã đơn hàng", "key": "<order_code>" },
{ "label": "Tổng tiền", "key": "<order_price>" }
],
"buttons": [
{ "value": "0982149298", "label": "Hotline hỗ trợ", "type": "2" }
],
"params": [
{ "label": "Customer fullname", "key": "customer_fullname" },
{ "label": "Product name", "key": "product_name" },
{ "label": "Order code", "key": "order_code" },
{ "label": "Order price", "key": "order_price" }
],
"paragraphs": [
{
"value": "Cảm ơn bạn đã tin tưởng sử dụng sản phẩm, chúng tôi vừa ra mắt <product_name>, hãy đăng nhập và trải nghiệm ngay"
}
],
"logoDark": "",
"logoLight": "",
"images": [],
"note": "Yeu câu thanh toán",
"status": "DRAFT",
"isSync": false,
"createdAt": "2025-09-14T01:33:54.941Z",
"updatedAt": "2025-09-14T02:17:10.855Z",
"id": "68c61b82c91b8fd5ffdc4d5f"
},
{
"images": [],
"_id": "6870b7eec2fd3b17da55be7c",
"name": "Xác nhận đơn hàng",
"description": "",
"title": "Xác nhận đơn hàng",
"previewUrl": "https://account.zalo.cloud/znspreview/lSatLHnzsUAMKJ3CCK517g==",
"logoLight": "",
"status": "ENABLE",
"templateId": "375624",
"isSync": true,
"createdAt": "2025-07-11T07:06:22.310Z",
"updatedAt": "2025-07-11T10:31:43.494Z",
"platform": "voicecloud",
"params": [
{ "key": "customer_code", "label": "customer_code" },
{ "key": "custumer_ID", "label": "custumer_ID" },
{ "key": "date", "label": "date" },
{ "key": "Sdt", "label": "Sdt" },
{ "key": "Product_code", "label": "Product_code" },
{ "key": "Price_code", "label": "Price_code" },
{ "key": "Payment_Method", "label": "Payment_Method" },
{ "key": "Condition_code", "label": "Condition_code" }
],
"tables": [],
"buttons": [],
"paragraphs": [],
"id": "6870b7eec2fd3b17da55be7c"
},
{
"images": [],
"_id": "6870b7eec2fd3b17da55be7b",
"name": "ĐƠN HÀNG ĐANG GIAO",
"description": "",
"title": "ĐƠN HÀNG ĐANG GIAO",
"previewUrl": "https://account.zalo.cloud/znspreview/iu1uWKT8yXR5wmU3VhnT9Q==",
"logoLight": "",
"status": "ENABLE",
"templateId": "384120",
"isSync": true,
"createdAt": "2025-07-11T07:06:21.886Z",
"updatedAt": "2025-07-11T10:31:43.442Z",
"platform": "voicecloud",
"params": [
{ "key": "order_code", "label": "order_code" },
{ "key": "customer_name", "label": "customer_name" },
{ "key": "custumer_id", "label": "custumer_id" }
],
"tables": [],
"buttons": [],
"paragraphs": [],
"id": "6870b7eec2fd3b17da55be7b"
}
],
"meta": {
"total": 41,
"page": 1,
"size": 20
},
"message": "Success"
}